import { Component, createSignal } from 'solid-js';

interface props {}

const [invitation, setInvitation] = createSignal<any>(false);

export const searchInvitation = () => {
  const hash = location.hash;
  console.log({ caller: 'Invitation / searchInvitation', hash });

  if (hash.length > 1) {
    try {
      const payload = hash.slice(1);
      const decoded = atob(payload);
      const url = new URL(decoded);
      setInvitation(url);
      console.log({
        caller: 'Invitation / searchInvitation',
        hash,
        invitation: decoded,
      });
    } catch {
      console.warn({
        caller: 'Invitation / searchInvitation',
        hash,
        message: 'Hash is not a base64 encoded URL',
      });
    }
  }
};

const Invitation: Component<props> = (props) => {
  return <></>;
};

export default Invitation;
